package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum EffectiveTypeEnum implements BaseEnum<String, EffectiveTypeEnum> {

    DAYS("DAYS","天数"),
    TIME_BUCKET("TIME_BUCKET","时间段");

    private String code;

    private String msg;

    EffectiveTypeEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }}
